Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3212 - values in site script CONFIG_SITE are not propagated to popt directory
Summary: values in site script CONFIG_SITE are not propagated to popt directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-02 13:23 UTC by benedict
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 20:01:40 UTC


Attachments (Terms of Use)

Description benedict 1999-06-02 13:23:26 UTC
When running configure like this:

sh -c 'CONFIG_SITE=./config.site ./configure'

the site script is loaded ...

loading site script ./config.site

but not propagated to the popt directory

configuring in popt
running /bin/sh ./configure  --cache-file=.././config.cache
--srcdir=.
loading cache .././config.cache

This is not very good as it makes it impossible to use the
site script to e.g. turn optimisation off by writing
CFLAGS='-g' in the file.  If you try, optimization will be
off everywhere except in the popt code ;-((

Comment 1 Jeff Johnson 1999-06-16 20:01:59 UTC
Fixed as below. Thanks for the report.

Index: configure.in
===================================================================
RCS file: /cvs/devel/rpm/configure.in,v
retrieving revision 1.143
diff -u -r1.143 configure.in
--- configure.in        1999/06/09 14:13:33     1.143
+++ configure.in        1999/06/16 20:00:17
@@ -776,7 +776,7 @@
 AC_SUBST(RPM)

 # XXX Propagate -lucb to popt ...
-export LIBS INCPATH
+export LIBS INCPATH CONFIG_SITE

 AC_CONFIG_SUBDIRS(popt)
 AC_OUTPUT([Makefile rpmrc macros lib/Makefile


Note You need to log in before you can comment on or make changes to this bug.